/* 
*  File name: HWOcrClientAKSK.h
*  Describe in brief: 
*   
*  Current version: 1.0.0 
*  Date: 20190409
*  Explain: use AK/SK auth type
*   
*/
#ifndef __HW_OCR_AK_SK_H__
#define __HW_OCR_AK_SK_H__

#include <string>

class HWOcrClientAKSK
{
public:
	HWOcrClientAKSK();
	virtual ~HWOcrClientAKSK();

public:
	void init(std::string strAK, std::string strSK, std::string strUri, std::string region = "cn-north-4");
	std::string request_ocr_service_base64(std::string strReqUri, std::string imgPath);

private:
	std::string m_strAK;
	std::string m_strSK;
	std::string m_strUri;
	std::string m_region;	//region select
};

#endif // !__HW_OCR_AK_SK_H__